#ifdef DMA

      integer ifqsz
      parameter (ifqsz = 105)

      REAL fQ_en(ifqsz), fQ_1(ifqsz), fQ_10(ifqsz), fQ_100(ifqsz),
     $     fQ_1000(ifqsz)

      DATA fQ_en /0.012180356832624119, 0.014316453600460834, 
     $            0.0168271624970113, 0.01977818009983346, 
     $            0.023246724344102923, 0.027323555049195754, 
     $            0.03211534878959484, 0.03774749025228652, 
     $            0.04436735312082661, 0.05214815633547678, 
     $            0.06129349663441587, 0.0720426759769704, 
     $            0.08467696324912416, 0.09952695409850669, 
     $            0.11698122148031466, 0.13749648326906605, 
     $            0.16160955298745877, 0.18995138636161898, 
     $            0.2232635912525607, 0.2624178329717228, 
     $            0.3084386427506467, 0.3625302261836467, 
     $            0.42610797312779464, 0.5008354935654402, 
     $            0.5886681485298316, 0.6919042151477658, 
     $            0.8132450246116645, 0.9558656466840321, 
     $            1.123497970303571, 1.3205283542253805, 
     $            1.5521124028751165, 1.8243098707046799, 
     $            2.1442432250303374, 2.520284016394928, 
     $            2.9622719331226435, 3.4817722719672703, 
     $            4.092378561971211, 4.810068260156157, 
     $            5.653620826372721, 6.645109116883444, 
     $            7.810476954751534, 9.180217990056944, 
     $            10.790173613366246, 12.682470801095103, 
     $            14.906624432936304, 17.520832925192032, 
     $            20.593501082258385, 24.205030014024242, 
     $            28.4499209551387, 33.43924803582893, 
     $            39.30356470813742, 46.19631987871201, 
     $            54.29787313654117, 63.82021414027231, 
     $            75.01250965517413, 88.16762338653571, 
     $            103.62977921101732, 121.80356832624113, 
     $            143.16453600460824, 168.27162497011292, 
     $            197.7818009983345, 232.4672434410291, 
     $            273.23555049195744, 321.1534878959483, 
     $            377.474902522865, 443.6735312082659, 
     $            521.4815633547674, 612.9349663441584, 
     $            720.4267597697037, 846.7696324912413, 
     $            995.2695409850666, 1169.812214803146, 
     $            1374.9648326906602, 1616.0955298745869, 
     $            1899.513863616189, 2232.6359125256063, 
     $            2624.1783297172265, 3084.3864275064657, 
     $            3625.3022618364653, 4261.079731277944, 
     $            5008.3549356544, 5886.6814852983125, 
     $            6919.042151477654, 8132.450246116641, 
     $            9558.656466840315, 11234.979703035706, 
     $            13205.283542253797, 15521.124028751155, 
     $            18243.09870704679, 21442.43225030336, 
     $            25202.840163949266, 29622.719331226424, 
     $            34817.72271967268, 40923.78561971209, 
     $            48100.68260156156, 56536.20826372718, 
     $            66451.09116883439, 78104.76954751532, 
     $            91802.17990056939, 107901.7361336624, 
     $            126824.70801095097, 149066.244329363, 
     $            175208.3292519202, 205935.01082258372, 
     $            242050.3001402423/ 


      DATA fQ_1 /0.0004970427986021773, 0.0005768049768103445, 
     $            0.0006688552660553761, 0.0007749721730674203, 
     $            0.0008971864196565266, 0.0010378038314392765, 
     $            0.0011994515540376947, 0.0013850663422890282, 
     $            0.0015979965983241836, 0.0018420333654634792, 
     $            0.00212142110236458, 0.0024409594665106404, 
     $            0.002806061805685526, 0.003222755157890419, 
     $            0.0036978027356746866, 0.004238792098107336, 
     $            0.004854227829544748, 0.005553464938141798, 
     $            0.006346958565228588, 0.007246348773027399, 
     $            0.008264387997542706, 0.009415255209853122, 
     $            0.010714799477222836, 0.012180558552093722, 
     $            0.013831935995726168, 0.01569044208658721, 
     $            0.017779850017067497, 0.020126642781003463, 
     $            0.02276037909744187, 0.025714286199178815, 
     $            0.029026011204138592, 0.03273874513848517, 
     $            0.036902612068288154, 0.04156501399936018, 
     $            0.046747587272206556, 0.05250210171387018, 
     $            0.058890727796596015, 0.06598236495353113, 
     $            0.07381546074942252, 0.08245585528110182, 
     $            0.09196932736039305, 0.10240884939530755, 
     $            0.11383360117737808, 0.12629878403563105, 
     $            0.13984793700413178, 0.15451582673869857, 
     $            0.17032197267898921, 0.18726205627991427, 
     $            0.20530429054418944, 0.22437475454968303, 
     $            0.24434533637593894, 0.26501195099319946, 
     $            0.28606906459139214, 0.3070805946396308, 
     $            0.3288630507571034, 0.35229925025194314, 
     $            0.37740485029349413, 0.404157272824864, 
     $            0.4324538148645254, 0.46203526624115954, 
     $            0.4924605037296643, 0.5230550198466544, 
     $            0.5528794096648136, 0.5808040722730367, 
     $            0.6056307743970495, 0.6263085742717356, 
     $            0.6421996122965206, 0.6532930231007898, 
     $            0.6602074387667508, 0.6639697671698039, 
     $            0.665718203282511, 0.6663941092640053, 
     $            0.6666048355410833, 0.6666559157770875, 
     $            0.6666651415581609, 0.6666663228806009, 
     $            0.6666664240341695, 0.666666429619499, 
     $            0.6666664296658872, 0.6666664296666349, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407, 0.6666664296666407, 
     $            0.6666664296666407/

      DATA fQ_10 /0.00016625096429058098, 0.00019358421280119887, 
     $            0.00022529440276974512, 0.00026205180590833845, 
     $            0.0003046227858961076, 0.000353882423558855, 
     $            0.0004108319088641561, 0.00047660986099243394, 
     $            0.000552505570748988, 0.0006399932290579874, 
     $            0.0007407419848578381, 0.0008566564834241349, 
     $            0.0009898838677608423, 0.0011428391473787298, 
     $            0.0013182549886831812, 0.0015192391963235155, 
     $            0.0017492964516011519, 0.002012326247203696, 
     $            0.0023127426896644115, 0.002655515502802277, 
     $            0.0030461735279095556, 0.0034909105975758016, 
     $            0.003996676078697326, 0.00457116357682937, 
     $            0.005222943408424921, 0.0059615438226688884, 
     $            0.0067975001857407515, 0.007742477942568845, 
     $            0.00880938788690599, 0.010012721032757861, 
     $            0.011368643076565004, 0.012895163927187422, 
     $            0.014612460900694919, 0.016543171399790675, 
     $            0.018712931774068027, 0.021151027890193467, 
     $            0.023891238359043006, 0.02697304512888935, 
     $            0.030443212535533646, 0.0343580104021461, 
     $            0.03877523701686357, 0.043710497012457314, 
     $            0.04922058602852692, 0.055381414686408476, 
     $            0.06228289668474505, 0.06997048640413606, 
     $            0.07852179450554453, 0.08802964980503887, 
     $            0.09854968225158539, 0.11015963662642983, 
     $            0.12291171901607419, 0.1368326956373929, 
     $            0.15191385670351068, 0.16809209973115302, 
     $            0.1861385428932305, 0.20694798480773197, 
     $            0.23092075020634398, 0.25844959137797824, 
     $            0.28985544523319273, 0.3252841824812248, 
     $            0.36457542950041255, 0.40711285934717345, 
     $            0.4517055911293647, 0.49656588365290644, 
     $            0.5393990360525455, 0.57777674327784, 
     $            0.6095557333943238, 0.6334676971667974, 
     $            0.6495527115318962, 0.659018948363665, 
     $            0.6637816924129281, 0.665775977675046, 
     $            0.6664495867438185, 0.6666265194442796, 
     $            0.6666611504215514, 0.6666659566202139, 
     $            0.666666402731731, 0.6666664287590215, 
     $            0.6666664296817021, 0.6666664296859605, 
     $            0.6666664296859955, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957, 0.6666664296859957, 
     $            0.6666664296859957/
 


      DATA fQ_100 /0.00005224975968770246, 0.00006093123600035228, 
     $            0.00007104124604355734, 0.00008280843950157304, 
     $            0.00009649627696424589, 0.0001124079203558023, 
     $            0.0001308917284200321, 0.0001523474194608997, 
     $            0.0001772329698942111, 0.0002060723245976966, 
     $            0.000239467466665853, 0.0002781003484717618, 
     $            0.0003227605932864267, 0.0003743178848433267, 
     $            0.0004337825526969419, 0.0005022963932288785, 
     $            0.0005811647263144362, 0.0006718458348758004, 
     $            0.0007759870368233411, 0.0008954769631320993, 
     $            0.001032412627172231, 0.00118916466934758, 
     $            0.001368420717991999, 0.001573174054129083, 
     $            0.001806793491356859, 0.002073064307409316, 
     $            0.002376194553001563, 0.00272092827431603, 
     $            0.00311254396698139, 0.003556909249456587, 
     $            0.004060619166808961, 0.004630981354193377, 
     $            0.005276151250983284, 0.006005250598754488, 
     $            0.006828447896167618, 0.007757168093140708, 
     $            0.008804479778783787, 0.009985390295466361, 
     $            0.01131717975607932, 0.01281992636789756, 
     $            0.01451731236937518, 0.01643758728661764, 
     $            0.01861497298555526, 0.02109151289319196, 
     $            0.02391954044980948, 0.02716503646592752, 
     $            0.03091189493382171, 0.0352569744316372, 
     $            0.04022639084200725, 0.04591493821627529, 
     $            0.05246789723125084, 0.06007035044378639, 
     $            0.06884109280683198, 0.07895135268094366, 
     $            0.09109775760293903, 0.10608428810901, 
     $            0.124569174716281, 0.1472969203383129, 
     $            0.1750490769745063, 0.2085456734768816, 
     $            0.2482840119907736, 0.2943132724372784, 
     $            0.3459674642456646, 0.4016299805094899, 
     $            0.458643256518939, 0.5135265952782407, 
     $            0.5625076057747725, 0.6023327221706602, 
     $            0.6312814093769114, 0.6497334941948802, 
     $            0.6598059666064295, 0.664386398828783, 
     $            0.6660673831687775, 0.6665472714909006, 
     $            0.6666493700129578, 0.6666647729934167, 
     $            0.6666663277342277, 0.6666664259327865, 
     $            0.6666664296762849, 0.666666429695764, 
     $            0.6666664296959379, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385, 0.6666664296959385, 
     $            0.6666664296959385/

      DATA fQ_1000 /0.000015368857145917302, 0.000017921122531407726, 
     $            0.000020899675022805174, 0.000024375043659436146, 
     $            0.000028429060852261135, 0.0000331565701640302, 
     $            0.00003866736898888968, 0.00004508841300439402, 
     $            0.00005256631119222272, 0.00006127014164064541, 
     $            0.00007139462081200272, 0.00008316366005950737, 
     $            0.00009684281747281632, 0.00011271782053223855, 
     $            0.00013112661730367412, 0.00015245492185981743, 
     $            0.00017715277336322765, 0.00020571393288078648, 
     $            0.00023870622952842991, 0.0002767921221887481, 
     $            0.00032069230553691703, 0.00037124186012289643, 
     $            0.00042939021383376865, 0.0004961912127741592, 
     $            0.0005728422238986505, 0.0006607056369630783, 
     $            0.000761278145207376, 0.0008762895494652382, 
     $            0.001007652988113352, 0.0011575197573939072, 
     $            0.0013283169003237864, 0.0015227728146043947, 
     $            0.001743935336021431, 0.0019952576294261395, 
     $            0.0022806220696056957, 0.0026044175485009837, 
     $            0.002971632625601701, 0.003387965618163849, 
     $            0.0038599492474999703, 0.0043951998706950055, 
     $            0.005002599532230614, 0.005692743794285545, 
     $            0.00647840404214822, 0.00737544321461992, 
     $            0.008403851917099418, 0.009589115734368568, 
     $            0.010964302370083466, 0.012572861626023578, 
     $            0.014472699463967068, 0.016741724807045853, 
     $            0.019485412219895536, 0.022847157614077275, 
     $            0.02702169489682031, 0.032273288551897025, 
     $            0.03911480123079774, 0.04819410191839804, 
     $            0.06021853361700902, 0.07606721514908468, 
     $            0.09678551928320164, 0.12353583709686873, 
     $            0.15747606791823687, 0.19953772040625417, 
     $            0.250085537201721, 0.3084906981575826, 
     $            0.3727411789004419, 0.4392695363271824, 
     $            0.5032684865660644, 0.5595673670197817, 
     $            0.6039102024955745, 0.6345379375402992, 
     $            0.6526899721498125, 0.6616643493217859, 
     $            0.6652476892930186, 0.6663611648973434, 
     $            0.6666190757087406, 0.6666614400830363, 
     $            0.6666660967020374, 0.666666416715117, 
     $            0.6666664292855168, 0.6666664297018964, 
     $            0.6666664297026444, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474, 0.6666664297026474, 
     $            0.6666664297026474/

#endif
